drop schema loader cascade;
create schema loader authorization test;

delete from geometry_columns where f_table_schema = 'loader';

CREATE TABLE loader."NoGeomTest"
(
  cod character(16),
  ord integer,
  descrizione character(254)
)
WITH (
  OIDS=FALSE
);


CREATE TABLE loader."PlineTest"
(
  id integer,
  "carr_sensoMarcia" integer,
  "carr_largDx" double precision,
  "carr_largSn" double precision,
  lunghezza double precision,
  "comeG3" character(1),
  tipo_cod character(16),
  "edit_istCreazione" character(40)
)
WITH (
  OIDS=FALSE
);

select addgeometrycolumn('loader', 'PlineTest', 'geom', 3003, 'LINESTRING', 2);
